<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Queue;

class ProcessQueue extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'queue:process';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Process the tasks in the queue';

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        Queue::daemon(); // Process the tasks in the queue
    }
}
